import { EventEmitter } from '@angular/core';
import { LocalStorageService } from '@armor/platform-browser';
import { IColumnConfig } from '../../models/tables/column-config.interface';
export declare class TableService {
    private localStorageService;
    constructor(localStorageService: LocalStorageService);
    toggleAllRows$: EventEmitter<boolean>;
    createColumn(field: string, label?: string, sortable?: boolean, enabled?: boolean, enableExport?: boolean, disableTableSetting?: boolean): IColumnConfig;
    saveColumnPreference(column: IColumnConfig): void;
    getColumnLocalStorageKey(field: string): string;
}
